//
//  WijzigViewController.swift
//  SegueDemo
//
//  Created by Developer on 19-09-16.
//  Copyright © 2016 www.iosacademie.nl. All rights reserved.
//

import UIKit

class WijzigViewController: UIViewController {
  
  @IBOutlet var onsLabel: UILabel!
  @IBOutlet var onzeSlider: UISlider!
  
  var waarde: Int? {
    didSet {
      if waarde != nil {
        onzeSlider?.value = Float(waarde!)
        onsLabel?.text = "\(waarde!)"
      }
    }
  }
  
  
  override func viewDidLoad() {
    super.viewDidLoad()
    self.waarde = self.waarde!
  }
  
  @IBAction func wijzigWaarde() {
    let nieuweWaarde = Int(onzeSlider.value)
    self.waarde = nieuweWaarde
  }
}
