//
//  ViewController.swift
//  SegueDemo
//
//  Created by Developer on 19-09-16.
//  Copyright © 2016 www.iosacademie.nl. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

  var startwaarde = 80
  
  @IBOutlet var onsLabel: UILabel!
  
  override func viewDidLoad() {
    super.viewDidLoad()
    // Do any additional setup after loading the view, typically from a nib.
    onsLabel.text = "\(startwaarde)"
  }

  override func didReceiveMemoryWarning() {
    super.didReceiveMemoryWarning()
    // Dispose of any resources that can be recreated.
  }

  @IBAction func terugVanWijzigViewController(segue: UIStoryboardSegue) {
    if let bronViewController = segue.source as? WijzigViewController,
      let waarde = bronViewController.waarde {
      onsLabel.text = "\(waarde)"
    }
    
  }
  
  override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
    if let bestemmingsViewController = segue.destination as? WijzigViewController {
      bestemmingsViewController.waarde = startwaarde
    }
    
  }

}

